﻿using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Web.Mvc;
using System.Web.Routing;
using NWebsec.Csp;
using NWebsec.Mvc.HttpHeaders;

namespace DemoSiteMvc3
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterGlobalFilters(GlobalFilterCollection filters)
        {
            filters.Add(new HandleErrorAttribute());
            filters.Add(new SetNoCacheHttpHeadersAttribute());
            //filters.Add(new XContentTypeOptionsAttribute());
            //filters.Add(new XDownloadOptionsAttribute());
            //filters.Add(new XFrameOptionsAttribute());
            //filters.Add(new XXssProtectionAttribute(){Policy = HttpHeadersConstants.XXssProtection.FilterEnabled });
            //filters.Add(new XContentSecurityPolicyAttribute("default-src", "'self'"));
            //filters.Add(new XContentSecurityPolicyAttribute("script-src", "'self'"));
            //filters.Add(new XContentSecurityPolicyReportOnlyAttribute("script-src", "'none'"));
        }

        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Home", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            AreaRegistration.RegisterAllAreas();

            // Use LocalDB for Entity Framework by default
            Database.DefaultConnectionFactory = new SqlConnectionFactory(@"Data Source=(localdb)\v11.0; Integrated Security=True; MultipleActiveResultSets=True");

            RegisterGlobalFilters(GlobalFilters.Filters);
            RegisterRoutes(RouteTable.Routes);
        }

        protected void NWebSecHttpHeaderSecurityModule_CspViolationReported(object sender, CspViolationReportEventArgs e)
        {
            var report = e.ViolationReport;
        }

    }
}