﻿// Copyright (c) André N. Klingsheim. See License.txt in the project root for license information.

using System;

namespace NWebsec.Mvc.HttpHeaders.Csp
{
    /// <summary>
    /// When applied to a controller or action method, enables the Content-Security-Policy-Report-Only header (assuming there are directives enabled). 
    /// </summary>
    [AttributeUsage(AttributeTargets.Class | AttributeTargets.Method, Inherited = false, AllowMultiple = false)]
    public class CspReportOnlyAttribute : CspAttributeBase
    {
        protected override bool ReportOnly
        {
            get { return true; }
        }
    }
}
